Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226138

Summary: Merge Review: metacity
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mclasen, panemade, pertusus, sandmann
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-10-22 04:36:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 203547    
Bug Blocks:    
Attachments:
Description Flags
spec cleanup none

Description Nobody's working on this, feel free to take it 2007-01-31 19:40:16 UTC
Fedora Merge Review: metacity

http://cvs.fedora.redhat.com/viewcvs/devel/metacity/
Initial Owner: sandmann@redhat.com

Comment 1 Jochen Schmitt 2007-04-03 16:31:21 UTC
Bad:
- Local build failed:
+ cd metacity-2.18.0
+ LANG=C
+ export LANG
+ unset DISPLAY
+ rm -rf /var/tmp/metacity-2.18.0-1-root-s4504kr
+ CPPFLAGS=' -I/var/tmp/metacity-2.18.0-1-root-s4504kr/usr/include'
+ export CPPFLAGS
+ autoreconf
src/Makefile.am: required file `./compile' not found
autoreconf: automake failed with exit status: 1
Fehler: Fehler-Status beim Beenden von /var/tmp/rpm-tmp.46901 (%build)


Comment 2 Patrice Dumas 2007-04-04 07:41:09 UTC
* a remark
the gettext_package, metacity_version and metacity_filename don't 
seem to be usefull to me, %{name}, %{version} and %{name}-%{version}
would seem more natural to me

* -I$RPM_BUILD_ROOT%{_includedir} seems wrong to me. Why is it there?
CPPFLAGS="$CPPFLAGS -I$RPM_BUILD_ROOT%{_includedir}"

* Why run autoreconf?

* on the make line, CPPFLAGS="$CPPFLAGS" LIBS="$LIBS" seems unuseful
to me, while %{?_smp_mflags} is missing (it worked in my tests)

* The pkgconfig Requires is unuseful in main package


Comment 3 Debarshi Ray 2008-06-15 08:34:04 UTC
Ping?

Comment 4 Søren Sandmann Pedersen 2008-06-16 19:13:11 UTC
I am happy enough for someone to just go ahead and fix these things. I don't
believe metacity has any ACL's.


Comment 5 Parag AN(पराग) 2010-10-18 08:42:52 UTC
Created attachment 454045 [details]
spec cleanup

Please commit this git patch that will clean this package for this review or allow to commit.

Comment 6 Parag AN(पराग) 2010-10-22 04:36:31 UTC
Committed the above patch and built in metacity-2.30.3-2.fc15

APPROVED.